#include <stdio.h>
#include <string.h>
#include <stddef.h>
#include "lst.h"
#include "dicom_objects.h"



#define FF  '/f'
#define LF  '/n'
#define CR  '/r'



CONDITION IODV_DEFAULT_REPERTOIRE(char s);
CONDITION UID_MATCH(DCM_OBJECT **object);

CONDITION IODV_CONTROL_CHARACTERS(char s);
CONDITION IODV_AE_TEST(long length, char * input);


CONDITION IODV_AS_TEST(long length, char * input);

/*In the future I might want to look up the AT in the data dictionary*/

CONDITION IODV_AT_TEST(long length, char vmnum[4]);

CONDITION IODV_CS_TEST(long length, char * input);


CONDITION IODV_DA_TEST(long length, char * input);

CONDITION IODV_DD_TEST(char * input);

CONDITION IODV_DS_TEST(long length, char * input);

CONDITION IODV_DT_TEST(long length, char * input);
CONDITION IODV_FL_TEST(long length, char vmnum[4]);


CONDITION IODV_FD_TEST(long length, char vmnum[4]);

CONDITION IODV_IS_TEST(long length, char * input);
CONDITION IODV_LO_TEST(long length, char * input);
CONDITION IODV_LT_TEST(long length, char * input);
CONDITION IODV_OB_TEST(char *s);
CONDITION IODV_OW_TEST(char *s);


CONDITION IODV_PN_TEST(long length, char * input);

CONDITION IODV_SH_TEST(long length,char * input);


CONDITION IODV_SL_TEST(long length, char vmnum[4]);

CONDITION IODV_SQ_TEST(char *s);

CONDITION IODV_SS_TEST(long length, char vmnum[4]);

CONDITION IODV_ST_TEST(long length, char * input);

CONDITION IODV_TM_TEST(long length, char * input);


CONDITION IODV_UI_TEST(long length, char * input);

CONDITION IODV_UL_TEST(long length, char vmnum[4]);

CONDITION IODV_US_TEST(long length, char vmnum[4]);

char *IODV_Message(CONDITION cond);

#define IODV_MALLOCERROR FORM_COND(FAC_IODV, SEV_ERROR, 2) 

#define IODV_VALID FORM_COND(FAC_IODV, SEV_SUCC, 1)
       
#define IODV_INVALID FORM_COND(FAC_IODV, SEV_SUCC,0)
#define IODV_DATAFILECORRUPT FORM_COND(FAC_IODV, SEV_ERROR,3)
